
From: Geert Uytterhoeven <geert@linux-m68k.org>

68060 Integer Support Package: Fix _060_real_lock_page(): test %d0 before
actually using it (from Roman Zippel)

Signed-off-by: Roman Zippel <zippel@linux-m68k.org>
Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/m68k/ifpsp060/iskeleton.S |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN arch/m68k/ifpsp060/iskeleton.S~m68k-ifpsp060 arch/m68k/ifpsp060/iskeleton.S
--- 25/arch/m68k/ifpsp060/iskeleton.S~m68k-ifpsp060	2004-07-26 17:25:13.361945008 -0700
+++ 25-akpm/arch/m68k/ifpsp060/iskeleton.S	2004-07-26 17:25:13.365944400 -0700
@@ -204,11 +204,12 @@ _060_real_cas2:
 _060_real_lock_page:
 	move.l	%d2,-(%sp)
 	| load sfc/dfc
-	moveq	#5,%d0
 	tst.b	%d0
 	jne	1f
 	moveq	#1,%d0
-1:	movec.l	%dfc,%d2
+	jra	2f
+1:	moveq	#5,%d0
+2:	movec.l	%dfc,%d2
 	movec.l	%d0,%dfc
 	movec.l	%d0,%sfc
 
_
